--- title: "Deletes a specified class" slug: "deletes-a-specified-class-1" updated: 2025-08-07T14:39:28Z published: 2025-08-07T14:41:42Z canonical: "docs.skillable.com/deletes-a-specified-class-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Deletes a specified class Get/deleteclass The **DeleteClass** command deletes a specified class. SecurityAPI Key: api_keyHeader parameter nameapi_key All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key". Query parametersidstringRequired The unique identifier of the class, as represented in your organization. Example4449999 Responses200 OK Response. Example of successfully deleting an existing class ```json { "Success": true, "Error": null, "Status": 1 } ``` Example of trying to delete a class that does not exist ```json { "Error": "Class not found", "Status": 0 } ``` object Successboolean Returns with true if the class was successfully deleted. This element **will only** be returned for successful class deletions. true = Success Statusinteger (int32) Indicates the status of the API request. 0 = Error 1 = Success Errorstring | null In the event of an error, this will contain a detailed error message.